IBM Support

QMF Version 11.1 system requirements

Detailed system requirements


Abstract

This page lists the prerequisite products for QMF Version 11.1 by QMF product family component. QMF Classic Edition and QMF Classic Edition VUE include QMF for TSO and CICS only; QMF Enterprise Edition, QMF Enterprise Edition VUE, and QMF for z/OS include all four product components in the menu below.

Content

Tab navigation







QMF for TSO and CICS® requirements

Hardware:

System z10 or later processor

Software:

Operating system:

  • z/OS® Version 1.13 or later
  • z/OS Version 2.1 or later

QMF Value Unit Editions must be used with z/OS on zNALC.

(For more specific information about QMF for TSO and CICS compatibility with various z/OS releases, see QMF for TSO/CICS Compatibility with z/OS.)

Database functions:

QMF for TSO and CICS must be installed and started on one of the following DB2® for z/OS databases:

  • DB2 11 for z/OS (5615-DB2), any mode
  • DB2 10 for z/OS (5605-DB2), all modes except conversion mode from Version 8 (CM8), conversion mode* from Version 8 (CM8*), enabling-new-function mode from Version 8 (ENFM8), or enabling-new-function mode* from Version 8 (ENFM8*)
  • DB2 Version 9.1 for z/OS (5635-DB2), NFM

Once installed, QMF for TSO and CICS can connect to any database in the IBM DB2 family.

QMF for TSO and CICS Value Unit Edition (VUE) must be installed and started on one of the following DB2 for z/OS VUE databases:

  • DB2 11 for z/OS VUE (5697-P43), any mode
  • DB2 10 for z/OS VUE (5697-P31), all modes except CM8, CM8*, ENFM8, or ENFM8*
  • DB2 Version 9.1 for z/OS VUE (5697-P12), NFM

For information about whether QMF PTFs must be applied for QMF to operate properly with the version of DB2 that you are using, see DB2 Information Management Tools and DB2 for z/OS Compatibility and select the appropriate tab for the DB2 release in question.

Panel display:

  • GDDM (GDDM is a base element of z/OS)

Charting functions:

  • GDDM-PGF 2.1.3 (5668-812). Required for QMF for TSO and CICS charting or QMF Analytics for TSO, which is part of QMF Enterprise Edition.

If operating under CICS:

  • CICS Transaction Server for z/OS Version 5 Release 1 (5655-Y04) or later
  • CICS Transaction Server for z/OS Version 4 Release 1 (5655-S97) or later
  • CICS Transaction Server for z/OS Version 3 Release 1 (5655-M15) or later

For SMP/E installation requirements, see the appropriate program directory for your QMF edition and language on the QMF Library page.

For more QMF information, see the IBM Knowledge Center.


QMF High Performance Option (HPO) requirements

Hardware:

System z10 or later processor

Software:

Operating system:

  • z/OS Version 1.13 or later
  • z/OS Version 2.1 or later

QMF Value Unit Editions must be used with z/OS on zNALC.

Database functions:

QMF HPO must be installed and started on one of the following DB2 for z/OS databases:

  • DB2 11 for z/OS (5615-DB2), any mode
  • DB2 10 for z/OS (5605-DB2), all modes except CM8, CM8*, ENFM8, or ENFM8*
  • DB2 Version 9.1 for z/OS (5635-DB2), NFM

QMF HPO VUE must be installed and started on one of the following DB2 for z/OS VUE databases:

  • DB2 11 for z/OS VUE (5697-P43), any mode
  • DB2 10 for z/OS VUE (5697-P31), all modes except CM8, CM8*, ENFM8, or ENFM8*
  • DB2 Version 9.1 for z/OS VUE (5697-P12), NFM

For information about whether QMF HPO PTFs must be applied for HPO to operate properly with the version of DB2 that you are using, see DB2 Information Management Tools and DB2 for z/OS Compatibility and select the appropriate tab for the DB2 release in question.

For SMP/E installation requirements, see the appropriate program directory for your QMF edition and language on the QMF Library page.

For more QMF information, see the IBM Knowledge Center.


QMF for Workstation requirements

Hardware and memory:

  • Approximately 1 GB of disk space (single language installation)
  • Minimum of 1 GB of RAM
  • Network connectivity

Software:

Operating systems:

QMF for Workstation can be installed on any of the following operating systems:

  • Microsoft Windows 8
  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows XP
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008
  • Red Hat Enterprise Linux 6
  • Red Hat Enterprise Linux 5
  • SuSE Linux 12
  • SuSE Linux 11
  • SuSE Linux 10
  • Mac OS X 10.8
  • Mac OS X 10.7
  • Mac OS X 10.6

Database functions:

QMF for Workstation can run against any of the following databases:

  • DB2 for z/OS or DB2 for z/OS VUE*
  • DB2 for iSeries V7.1
  • DB2 for iSeries V6.1
  • DB2 for iSeries V5.4
  • DB2 for Linux, UNIX, and Windows V10.5
  • DB2 for Linux, UNIX, and Windows V10.1
  • DB2 for Linux, UNIX, and Windows V9.7
  • DB2 for Linux, UNIX, and Windows V9.5
  • Informix Dynamic Server (IDS) V12.10
  • Informix Dynamic Server V11.5

*For DB2 for z/OS:

  • QMF for Workstation can run against any of the following databases:
    • DB2 11 for z/OS, any mode
    • DB2 10 for z/OS, all modes except CM8, CM8*, ENFM8, or ENFM8*
    • DB2 Version 9.1 for z/OS, NFM
  • QMF for Workstation VUE can run against any of the following databases:
    • DB2 11 for z/OS VUE, any mode
    • DB2 10 for z/OS VUE, all modes except CM8, CM8*, ENFM8, or ENFM8*
    • DB2 Version 9.1 for z/OS VUE, NFM

JDBC database connectivity requires an appropriate JDBC driver for each type of database accessed.

For information about whether QMF for Workstation fix packs need to be applied for QMF to operate properly with the version of DB2 that you are using, see DB2 Information Management Tools and DB2 for z/OS Compatibility and select the appropriate tab for the DB2 release in question.

Optional software:

The following optional functions require additional support:

  • OLAP support requires InfoSphere Warehouse V9.5.2 or higher or other MDX-based OLAP servers with support for XMLA connectivity.
  • Adobe Flash Player 10.1.51 or higher on the client is required if deploying visual dashboards using the optional Flash output format.
  • Exporting result sets to Microsoft Excel requires a minimum level of Excel 2003.

For more QMF information, see the IBM Knowledge Center.


QMF for WebSphere® requirements

Hardware:

  • 500 MB hard disk space
  • 1 GB of RAM

Software:

Application server:

QMF for WebSphere supports most popular application servers, including the following:

  • WebSphere Application Server Version 7.0, 8.0, and 8.5
  • Apache Tomcat 6 and 7

Web browsers:

One of the following Web browsers (with JavaScript support enabled) is required on each user machine:

  • Microsoft Internet Explorer 7 or later
  • Mozilla Firefox 4 or later
  • Apple Safari browser 5.1 or later
  • Google Chrome browser 7 or later

Database functions:

QMF for WebSphere can run against any of the following databases:

  • DB2 for z/OS or DB2 for z/OS VUE*
  • DB2 for iSeries V7.1
  • DB2 for iSeries V6.1
  • DB2 for iSeries V5.4
  • DB2 for Linux, UNIX, and Windows V10.5
  • DB2 for Linux, UNIX, and Windows V10.1
  • DB2 for Linux, UNIX, and Windows V9.7
  • DB2 for Linux, UNIX, and Windows V9.5
  • Informix Dynamic Server (IDS) V12.10
  • Informix Dynamic Server V11.5

*For DB2 for z/OS:

  • QMF for WebSphere can run against any of the following databases:
    • DB2 11 for z/OS, any mode
    • DB2 10 for z/OS, all modes except CM8, CM8*, ENFM8, or ENFM8*
    • DB2 Version 9.1 for z/OS, NFM
  • QMF for WebSphere VUE can run against any of the following databases:
    • DB2 11 for z/OS VUE, any mode
    • DB2 10 for z/OS VUE, all modes except CM8, CM8*, ENFM8, or ENFM8*
    • DB2 Version 9.1 for z/OS VUE, NFM

JDBC database connectivity requires an appropriate JDBC driver for each type of database accessed.

For information about whether QMF for WebSphere fix packs need to be applied for QMF to operate properly with the version of DB2 that you are using, see DB2 Information Management Tools and DB2 for z/OS Compatibility and select the appropriate tab for the DB2 release in question.

Optional software:

The following optional functions require additional support:

  • OLAP support requires InfoSphere Warehouse V9.5.2 or higher or other MDX-based OLAP servers with support for XMLA connectivity.
  • Java Runtime Environment (JRE) 1.6 or higher is required if deploying dashboards that use the optional Java Applet.
  • Adobe Flash Player 10.1.51 or higher on the client is required if deploying visual dashboards using the optional Flash output format.
  • Exporting result sets to Microsoft Excel requires a minimum level of Excel 2003 on the user machine where the web browser is running.

For more QMF information, see the IBM Knowledge Center.

Document information

More support for: DB2 Query Management Facility
General Information

Software version: 11.1

Operating system(s): IBM i, Linux, OS X, Windows, z/OS, z/VM, z/VSE

Software edition: All Editions

Reference #: 7039374

Modified date: 22 August 2016


Translate this page: